Bug 478443 - an accessibility issue with nodoka
an accessibility issue with nodoka
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 01:56 EST by Matthias Clasen
Modified: 2009-08-15 04:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7.2-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-31 12:46:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Solution 1 (739 bytes, patch)
2008-12-30 12:01 EST, Martin Sourada
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2008-12-30 01:56:27 EST
GTK+ can focus a paned widget (the paned itself, not one of its children) to allow moving the handle by keynav. The builtin style renders the handle with the selected color to make this obvious. Of the installed themes, only Mist seems to share this nice a11y feature with the builtin theme.

It would be nice if nodoka could do the same.

To try this yourself, open gedit, activate the sidebar, move the focus in the document, then hit f8 twice. now you should be able to move the handle between the sidebar and the document with the arrow keys. If you do this with the Mist theme, the blue color will make it obvious where the focus is. If you do it with Nodoka (or any other installed theme), it is a guessing game.

Looking at the code, it should be enough to pay attention to the selected state when drawing a "paned" handle.
Comment 1 Martin Sourada 2008-12-30 12:01:27 EST
Created attachment 327967 [details]
Proposed Solution 1

I've put together the simplest way to implement this in nodoka. We need to test whether there are any regressions before adding it to stable releases of fedora. I'm building a package with the fix (and fix for Bug #477941) for rawhide though.
Comment 2 Martin Sourada 2008-12-30 12:05:33 EST
The said package has just finished building:

http://koji.fedoraproject.org/koji/buildinfo?buildID=76747
Comment 3 Matthias Clasen 2008-12-31 11:52:59 EST
Works great, thanks.
Comment 4 Fedora Update System 2009-07-24 08:20:47 EDT
gtk-nodoka-engine-0.7.2-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gtk-nodoka-engine-0.7.2-5.fc10
Comment 5 Fedora Update System 2009-08-15 04:07:42 EDT
gtk-nodoka-engine-0.7.2-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.